## javax.persistence
Class Persistence

    java.lang.Object
      javax.persistence.Persistence

    public class Persistence

extends java.lang.Object

Bootstrap class to obtain `EntityManagerFactory` references. Contains Geronimo implemented code as required by the JPA spec.

Field Summary
`static java.lang.String` `PERSISTENCE_PROVIDER` Deprecated.
`protected static java.util.Set<PersistenceProvider>` `providers` Deprecated.

Constructor Summary
`Persistence()`

Method Summary
`static EntityManagerFactory` `createEntityManagerFactory(java.lang.String persistenceUnitName)`
`static EntityManagerFactory` `createEntityManagerFactory(java.lang.String persistenceUnitName, java.util.Map properties)` Geronimo implementation specific code
`static PersistenceUtil` `getPersistenceUtil()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### providers

    @Deprecated
    protected static final java.util.Set<PersistenceProvider> providers

  Deprecated.

### PERSISTENCE_PROVIDER

    @Deprecated
    public static final java.lang.String PERSISTENCE_PROVIDER

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### Persistence

    public Persistence()

Method Detail

### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(java.lang.String persistenceUnitName)

### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(java.lang.String persistenceUnitName,
                                                                  java.util.Map properties)

  Geronimo implementation specific code

### getPersistenceUtil

    public static PersistenceUtil getPersistenceUtil()